
QGIS Application - Bug report #20212

QGIS Bonn 3.2 Crashing on exit

2018-10-25 08:52 AM - Berns Buenaobra

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28033

Description

I have replicated the effect many times even uninstalling and at fresh install I copy the message at exit below:

h2. User Feedback

Report Details

Crash ID: 2158b01f96452b8cf079fabd6f476862ce1a56f9

Stack Trace

QDockWidget::toggleViewAction :

QgisApp::removeDockWidget :

QgsPresetSchemeColorRamp::clone :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgsPluginRegistry::unloadAll :

QgisApp::saveWindowState :

QMetaObject::activate :

QCoreApplicationPrivate::execCleanup :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2018-10-25 08:56 AM - Alessandro Pasotti

- Status changed from Open to Feedback

This crash comes from a python plugin. Can you start QGIS without plugins (with a fresh profile)?

#2 - 2019-02-11 05:02 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
